#pragma once

#include "CoreMinimal.h"
#include "GenericPopupViewData.h"
#include "PrestigeViewData.h"
#include "BloodPointBulkSpendingPopupViewData.generated.h"

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API UBloodPointBulkSpendingPopupViewData : public UGenericPopupViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	FPrestigeViewData CurrentPrestigeData;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 CurrentLevel;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 MaxLevel;

public:
	UBloodPointBulkSpendingPopupViewData();
};

FORCEINLINE uint32 GetTypeHash(const UBloodPointBulkSpendingPopupViewData) { return 0; }
